Corrupt Apache Installation - Urgent!

Discussion in 'Web Design and Development' started by iTim314, Jul 22, 2007.

  1. iTim314 macrumors 6502

    Joined:
    Jun 5, 2005
    Location:
    U.S.
    #1
    I'm using a new MacBook Pro with OSX 10.4.10 installed, all software up to date.

    I've tried installing PHP on here before, and it goes all the way through the installation then says "Please Try Installing Again."

    In System Preferences, 'Personal Web Sharing' will not start up. I tried starting it in Terminal, and I get this:

    /usr/sbin/apachectl restart: httpd not running, trying to start
    Processing config directory: /private/etc/httpd/users/*.conf
    Processing config file: /private/etc/httpd/users/+entropy-php.conf
    Syntax error on line 8 of /private/etc/httpd/users/+entropy-php.conf:
    Cannot load /usr/local/php5/libphp5.so into server: (reason unknown)
    /usr/sbin/apachectl restart: httpd could not be started

    I need PHP on my MacBook Pro because my personal server's memory failed, and I can't fix it anytime soon. Any ideas on how I can fix this, (re)install apache, and get the latest PHP version installed?

    Any help AS SOON AS POSSIBLE would be great.
     
  2. RojoLeo macrumors 6502

    Joined:
    Mar 11, 2007
    Location:
    Austin, TX
    #2
  3. macsforme macrumors member

    Joined:
    Mar 16, 2007
    #3
    PHP4 comes with OS X... enabling it would be a lot easier than trying to get PHP5 working. I believe you would just uncomment the following line:

    LoadModule php4_module libexec/httpd/libphp4.so

    ... in /etc/httpd/httpd.conf, then restart apache.
     

Share This Page